Bug 107832 - vncserver misconfiguration after install
vncserver misconfiguration after install
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-23 11:39 EDT by Alan O'Leary
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 11:08:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan O'Leary 2003-10-23 11:39:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
On fresh machine install of fedora test 3

Tried to start vncserver for a user. Looked at log and saw that the symbolic
link in /usr/X11R6/lib/X11 to ../../../../etc/X11/xserver was missing, repaired
this by hand and then get the following when trying to start vncserver :

//----------------------------------------------------------
[aoleary@muon aoleary]$ vncserver
 
New 'muon.[removed].com:8 (aoleary)' desktop is muon.[removed].com:8
 
Starting applications specified in /home/aoleary/.vnc/xstartup
Log file is /home/aoleary/.vnc/muon.[removed].com:8.log
 
[aoleary@muon aoleary]$ cat /home/aoleary/.vnc/muon.[removed].com:8.log
 
Xvnc version 4.0b4 - built Sep 19 2003 09:32:30
Underlying X server release 40300000, The XFree86 Project, Inc
 
 
Thu Oct 23 16:32:06 2003
 vncext:      VNC extension running!
 vncext:      Listening for VNC connections on port 5908
 vncext:      Listening for HTTP connections on port 5808
 vncext:      created VNC server for screen 0
Could not init font path element /usr/X11R6/lib/X11/fonts/CID/, removing from li st!
[aoleary@muon aoleary]$
//----------------------------------------------------------

Version-Release number of selected component (if applicable):
vnc-4.0-0.beta4.3

How reproducible:
Always

Steps to Reproduce:
1. fresh install of fedora test 3 on blank machine
2. create user
3. call /usr/bin/vncserver
    

Actual Results:  See description

Expected Results:  Currently using Redhat 9 on another machine and vncserver
works fine (vn c version vnc-3.3.3r2-47

Additional info:
Comment 1 Tim Waugh 2003-11-08 09:04:21 EST
That symbolic link (which is present for me) is owned by XFree86.
Comment 2 Mike A. Harris 2003-11-09 04:50:55 EST
So why exactly is this bug reassigned to XFree86?  I don't see the
problem.  On a fresh OS install or upgrade from a supported
distribution release, the /usr/X11R6/lib/X11/xserver symbolic
link is present.  What is the problem?

Note You need to log in before you can comment on or make changes to this bug.